Subject: [PATCH core-updates] gnu: libksba: Update to 1.6.3.
From: Simon Josefsson <[email-masked]>
To: [email-masked]
Date: Sun, 25 Dec 2022 00:28:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.  

This patch updates libksba to 1.6.3 on the core-updates branch, which
goes together with the security graft to 'master' that I posted here:
https://lists.gnu.org/archive/html/guix-patches/2022-12/msg01053.html

I have built it and tried to test it, but I'm not certain what a good
way to test that a newly built package works as expected, so I'm looking
for feedback.

/Simon
From c4cccf53eb931493192af1f8e5bd52bbf1779664 Mon Sep 17 00:00:00 2001
From: Simon Josefsson <[email-masked]>
Date: Sun, 25 Dec 2022 00:19:28 +0100
Subject: [PATCH core-updates] gnu: libksba: Update to 1.6.3.

* gnu/packages/gnupg.scm (libksba): Update to 1.6.3.
---
 gnu/packages/gnupg.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/gnupg.scm b/gnu/packages/gnupg.scm
index e04c4671b4..6c103a4b36 100644
--- a/gnu/packages/gnupg.scm
+++ b/gnu/packages/gnupg.scm
@@ -233,7 +233,7 @@ (define-public libassuan
 (define-public libksba
   (package
     (name "libksba")
-    (version "1.6.1")
+    (version "1.6.3")
     (source
      (origin
       (method url-fetch)
@@ -242,7 +242,7 @@ (define-public libksba
             version ".tar.bz2"))
       (sha256
        (base32
-        "017aqq619yl1br46ghiw39n1yrh3cvdkhy926c4gl4faqdj0hxa0"))))
+        "0p6y82j9y6n0l7scjgqhz3as9w13jiqjfx9n2jzynw89nf6wcwiz"))))
     (build-system gnu-build-system)
     (propagated-inputs
      (list libgpg-error))
-- 
2.38.1